# eoPBILOrg< EOT > Class Template Reference

Distribution Class for PBIL algorithm (Population-Based Incremental Learning, Baluja and Caruana 95). More...

`#include <eoPBILOrg.h>`

Inheritance diagram for eoPBILOrg< EOT >:

List of all members.

## Public Member Functions

| eoPBILOrg (double _LR, double _tolerance=0.0)
| Ctor with size of genomes, and update parameters.
virtual void | operator() (eoDistribution< EOT > &_distrib, eoPop< EOT > &_pop)
| Update the distribution from the current population.

## Private Attributes

double | LR
double | maxBound
double | minBound

## Detailed Description

### template<class EOT>
class eoPBILOrg< EOT >

Distribution Class for PBIL algorithm (Population-Based Incremental Learning, Baluja and Caruana 95).

This class implements the update rule from the original paper:

p(i)(t+1) = (1-LR)*p(i)(t) + LR*best(i)

Definition at line 42 of file eoPBILOrg.h.

The documentation for this class was generated from the following file:

- eoPBILOrg.h